import Utils from '@/utils/utils'
import {deepCopy} from '@/utils/html-util'

export default {
    methods: {
        deepCopy,
        getUuid: Utils.getUuid,
        isBlank(value) {
            return value === undefined || value === null || value === ''
        },
        /**
         * 通过name查找父组件
         * @param {*} vueIns
         * @param {*} name
         */
        findParentComponent(vueIns, name) {
            let parent = vueIns.$parent
            while (parent) {
                let componentName = parent.$options.componentName || parent.$options.name
                if (componentName !== name) {
                    parent = parent.$parent
                } else {
                    return parent
                }
            }
            return false
        }
    }
}
